Name:           nde-build-tools
Version:        0.0.1
Release:        1%{?dist}
Summary:        Packaging tools for Nde

License:        BSD
URL:            http://www.gd-linux.com
Source0:        %{name}-%{version}.tar.gz
 
BuildArch:      noarch

BuildRequires:  %{?fedora:cmake}%{!?fedora:cmake3} >= 3.0
BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  glib2-devel

Requires:       %{?fedora:cmake}%{!?fedora:cmake3} >= 3.0

%description
Various packaging tools and scripts for Nde applications.


%prep
%autosetup -p1
%{__mkdir} -p %{_target_platform}


%build
#pushd %{_target_platform}
%{?fedora:%{cmake}}%{!?fedora:%{cmake3}} ..

%cmake_build


%install
%make_install -C %{_target_platform}


%files
%license BSD-3-Clause
%doc CHANGELOG README.md
%{_datadir}/cmake/%{name}
%{_bindir}/nde-transupdate


%changelog
* Tue May 12 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- 组件重命名(984)


